BizKitHub
DocsAPI ReferenceCarrier Invoice/bff/carrier-invoice/lines
getCarrier InvoiceAdmin BFF

/bff/carrier-invoice/lines

Paginated lines of one carrier invoice

CarrierInvoicegetBffCarrier-invoiceLines

Parameters

6 query

Query parameters

· 6
externalIdstringRequired

Carrier invoice external id.

Exampleexample_externalId
filterstringOptional

'problems' = unmatched / duplicate / weight over declared; anything else = all.

Exampleexample_filter
filterFulltextQuerystringOptional

DataGrid fulltext over tracking number and order number.

Exampleexample_filterFulltextQuery
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/carrier-invoice/lines

get
curl -X GET "https://api.bizkithub.com/bff/carrier-invoice/lines?externalId=example_externalId&filter=example_filter&filterFulltextQuery=example_filterFulltextQuery&orderBy=example_orderBy&page=example_page&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key